Subject: Re: [PATCH] wifi: cfg80211: address several kerneldoc warnings

From: Kalle Valo <[email-masked]>
Date: Wed, 20 Dec 2023 09:20:22 +0200

Randy Dunlap <[email-masked]> writes:

> On 12/19/23 22:35, Kalle Valo wrote:
>> Jonathan Corbet <[email-masked]> writes:
>> 
>>> include/net/cfg80211.h includes a number of kerneldoc entries for struct
>>> members that do not exist, leading to these warnings:
>>>
>>>   ./include/net/cfg80211.h:3192: warning: Excess struct member
>>> 'band_pref' description in 'cfg80211_bss_selection'
>>>   ./include/net/cfg80211.h:3192: warning: Excess struct member
>>> 'adjust' description in 'cfg80211_bss_selection'
>>>   ./include/net/cfg80211.h:6181: warning: Excess struct member
>>> 'bssid' description in 'wireless_dev'
>>>   ./include/net/cfg80211.h:6181: warning: Excess struct member
>>> 'beacon_interval' description in 'wireless_dev'
>>>   ./include/net/cfg80211.h:7299: warning: Excess struct member
>>> 'bss' description in 'cfg80211_rx_assoc_resp_data'
>>>
>>> Remove and/or repair each entry to address the warnings and ensure a proper
>>> docs build for the affected structures.
>>>
>>> Signed-off-by: Jonathan Corbet <[email-masked]>
>> 
>> I try to periodically check for kerneldoc warnings in wireless trees but
>> I have never seen these. Am I missing something or did you do something
>> special (enable new warnings etc.)?
>
> There are new patches from both Kees Cook and me to report Excess kernel-doc
> descriptions, so now there are a bunch of kernel-doc warnings that we are working
> to fix quickly.  :(

Got it, thanks. Good to know that I wasn't missing anything.

-- 
https://patchwork.kernel.org/project/linux-wireless/list/

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches